YUI Flash Component Documentation |
Class ChartEvent

Package | com.yahoo.astra.fl.charts.events
Class | public class ChartEvent
Inheritance | ChartEvent flash.events.Event

Events related to items appearing in a chart.

Public Properties

| Property | Defined by
--- | --- | ---
|  | index : int The series index for the item related to this event. | ChartEvent
|  | item : Object The data for the item related to this event. | ChartEvent
|  | itemRenderer : ISeriesItemRenderer The ISeriesItemRenderer displaying the item on the chart. | ChartEvent
|  | series : ISeries The ISeries containing the item on the chart. | ChartEvent

Public Methods

| Method | Defined by
--- | --- | ---
|  | ChartEvent(type:String, index:int, item:Object, itemRenderer:ISeriesItemRenderer, series:ISeries) Constructor. | ChartEvent

Public Constants

| Constant | Defined by
--- | --- | ---
|  | ITEM_CLICK : String = "itemClick" [static] Defines the value of the `type` property of an `itemClick` event object. | ChartEvent
|  | ITEM_DOUBLE_CLICK : String = "itemDoubleClick" [static] Defines the value of the `type` property of an `itemDoubleClick` event object. | ChartEvent
|  | ITEM_ROLL_OUT : String = "itemRollOut" [static] Defines the value of the `type` property of an `itemRollOut` event object. | ChartEvent
|  | ITEM_ROLL_OVER : String = "itemRollOver" [static] Defines the value of the `type` property of an `itemRollOver` event object. | ChartEvent

Property detail

index | property

`index:int` [read-write]

The series index for the item related to this event.

Implementation
`public function get index():int`
`public function set index(value:int):void`

item | property |

`item:Object` [read-write]

The data for the item related to this event.

Implementation
`public function get item():Object`
`public function set item(value:Object):void`

itemRenderer | property |

`itemRenderer:ISeriesItemRenderer` [read-write]

The ISeriesItemRenderer displaying the item on the chart.

Implementation
`public function get itemRenderer():ISeriesItemRenderer`
`public function set itemRenderer(value:ISeriesItemRenderer):void`

series | property |

`series:ISeries` [read-write]

The ISeries containing the item on the chart.

Implementation
`public function get series():ISeries`
`public function set series(value:ISeries):void`
Constructor detail

ChartEvent | () | constructor

`public function ChartEvent(type:String, index:int, item:Object, itemRenderer:ISeriesItemRenderer, series:ISeries)`

Constructor.

Parameters

| `type:String`
| `index:int`
| `item:Object`
| `itemRenderer:ISeriesItemRenderer`
| `series:ISeries`

Constant detail

ITEM_CLICK | constant

`public static const ITEM_CLICK:String = "itemClick"`

Defines the value of the `type` property of an `itemClick` event object.

ITEM_DOUBLE_CLICK | constant |

`public static const ITEM_DOUBLE_CLICK:String = "itemDoubleClick"`

Defines the value of the `type` property of an `itemDoubleClick` event object.

ITEM_ROLL_OUT | constant |

`public static const ITEM_ROLL_OUT:String = "itemRollOut"`

Defines the value of the `type` property of an `itemRollOut` event object.

ITEM_ROLL_OVER | constant |

`public static const ITEM_ROLL_OVER:String = "itemRollOver"`

Defines the value of the `type` property of an `itemRollOver` event object.